<div class="eth-archives" ng-if="$ctrl.guid">
    <div ng-if="$ctrl.source === 'ETH_ThomasMannArchiv'">
        <md-list layout="column" class="separate-list-items md-primoExplore-theme layout-column" role="list">
            <md-list-item role="listitem" ng-href="{{::$ctrl.ethConfigService.getUrl($ctrl.config.tma, 'url')}}{{$ctrl.guid}}" target="_blank" rel="noopener">
                <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config.tma, 'linktext1')}}</span>
                <div class="md-secondary">
                    <prm-icon icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new" class="layout-margin"/>
                </div>
            </md-list-item>
        </md-list>
        <div class="eth-archives-additional-hint">
            <div>
                <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config.tma, 'text1')}}</span>
                <a target="_blank" rel="noopener" ng-href="{{::$ctrl.ethConfigService.getUrl($ctrl.config.tma, 'manual')}}">
                    <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config.tma, 'linktext2')}}</span>
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                </a>
                <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config.tma, 'text2')}}</span>
            </div>
        </div>
    </div>
    <div ng-if="$ctrl.source === 'ETH_MaxFrischArchiv'">
        <md-list layout="column" class="separate-list-items md-primoExplore-theme layout-column" role="list">
            <md-list-item role="listitem" ng-href="{{::$ctrl.ethConfigService.getUrl($ctrl.config.mfa, 'url')}}{{$ctrl.guid}}" target="_blank" rel="noopener">
                <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config.mfa, 'linktext1')}}</span>
                <div class="md-secondary">
                    <prm-icon icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new" class="layout-margin"/>
                </div>
            </md-list-item>
        </md-list>
        <div class="eth-archives-additional-hint">
            <div>
                <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config.mfa, 'text1')}}</span>
                <a target="_blank" rel="noopener" ng-href="{{::$ctrl.ethConfigService.getUrl($ctrl.config.mfa, 'manual')}}">
                    <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config.mfa, 'linktext2')}}</span>
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                </a>
                <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config.mfa, 'text2')}}</span>
            </div>
        </div>
    </div>
    <div ng-if="$ctrl.source === 'ETH_Hochschularchiv'">
        <md-list layout="column" class="separate-list-items md-primoExplore-theme layout-column" role="list">
            <md-list-item role="listitem" ng-href="{{::$ctrl.ethConfigService.getUrl($ctrl.config.hsa, 'url')}}{{$ctrl.guid}}" target="_blank" rel="noopener">
                <div>
                    <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config.hsa, 'linktext1')}}</span>
                    <div class="md-secondary">
                        <prm-icon icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new" class="layout-margin"/>
                    </div>
                </div>
            </md-list-item>
        </md-list>
        <div class="eth-archives-additional-hint">
            <div>
                <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config.hsa, 'text1')}}</span>
                <a target="_blank" rel="noopener" ng-href="{{::$ctrl.ethConfigService.getUrl($ctrl.config.hsa, 'manual')}}">
                    <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config.hsa, 'linktext2')}}</span>
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                </a>
                <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config.hsa, 'text2')}}</span>
            </div>
        </div>
    </div>
</div>
